Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class SortRankUI

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.TableComponentExtensionSupport
              com.tonbeller.jpivot.table.navi.SortRankUI

All Implemented Interfaces:
  ModelChangeListener, PartBuilder, TableComponentExtension, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, java.util.EventListener

    public class SortRankUI

extends TableComponentExtensionSupport
implements ModelChangeListener

Sort Buttons

Author:
  av

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`enabled`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`SortRankUI()`

Method Summary
`java.lang.String` | `getId()` unique name of this extension.
`int` | `getSortMode()`
`int` | `getTopBottomCount()`
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`boolean` | `isAvailable()` true, if the current olapModel supports all extensions that are required by this partBuilder.
`boolean` | `isBreakHierarchy()` for easier GUI, user chooses a radio button out of "Keep Hierarchy", "Break Hierarchy" and "Topcount"
`boolean` | `isKeepHierarchy()`
`boolean` | `isRanking()`
`boolean` | `isSorting()`
`boolean` | `isTriState()` Returns the triState.
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`void` | `setBreakHierarchy(boolean b)`
`void` | `setKeepHierarchy(boolean b)`
`void` | `setRanking(boolean b)`
`void` | `setSorting(boolean enabled)`
`void` | `setSortMode(int mode)` sets the sort mode and the level style
`void` | `setTopBottomCount(int topBottomCount)`
`void` | `setTriState(boolean triState)` Sets the triState.
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`getBookmarkState, isEnabled, setBookmarkState, setEnabled`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, setDirty, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, stopBuild`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### SortRankUI

    public SortRankUI()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `TableComponentExtension`
  unique name of this extension. Used for JSP programming

  Specified by:
    `getId` in interface `TableComponentExtension`

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Overrides:
    `initialize` in class `PartBuilderSupport`
  Throws:
    `java.lang.Exception`

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderSupport`

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `PartBuilder`
  true, if the current olapModel supports all extensions that are required by this partBuilder. If false, a GUI will not show related items.

  Specified by:
    `isAvailable` in interface `PartBuilder`
  Specified by:
    `isAvailable` in interface `Available`
  Overrides:
    `isAvailable` in class `PartBuilderSupport`

### getSortMode

    public int getSortMode()

  See Also:
    `SortRank`

### getTopBottomCount

    public int getTopBottomCount()

  See Also:
    `SortRank`

### isSorting

    public boolean isSorting()

  See Also:
    `SortRank`

### setSorting

    public void setSorting(boolean enabled)

  See Also:
    `SortRank`

### setSortMode

    public void setSortMode(int mode)

  sets the sort mode and the level style

  See Also:
    `SortRank`

### setTopBottomCount

    public void setTopBottomCount(int topBottomCount)

  See Also:
    `SortRank`

### isTriState

    public boolean isTriState()

  Returns the triState.

  Returns:
    boolean

### setTriState

    public void setTriState(boolean triState)

  Sets the triState.

  Parameters:
    `triState` - The triState to set

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

### isBreakHierarchy

    public boolean isBreakHierarchy()

  for easier GUI, user chooses a radio button out of "Keep Hierarchy", "Break Hierarchy" and "Topcount"

### setBreakHierarchy

    public void setBreakHierarchy(boolean b)

### isKeepHierarchy

    public boolean isKeepHierarchy()

### setKeepHierarchy

    public void setKeepHierarchy(boolean b)

### isRanking

    public boolean isRanking()

### setRanking

    public void setRanking(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD